KALARM(1)

NAME
kalarm - Personal alarm message, command and email scheduler for KDE

SYNOPSIS
kalarm [Qt-options] [KDE-options] [options] [message]

DESCRIPTION
KAlarm is a personal alarm message, command and email scheduler. It lets you set up personal alarm messages which pop up on the screen at the chosen time, or you can schedule commands to be executed or emails to be sent.

PROGRAM OPTIONS

-a, --ack-confirm
    Prompt for confirmation when alarm is acknowledged.

-A, --attach <url>
    Attach file to email (repeat as needed).

--auto-close
    Auto-close alarm window after --late-cancel period.

--bcc
    Blind copy email to self.

-b, --beep
    Beep when message is displayed.

-c, --color <color>
    Message background color (name or hex 0xRRGGBB).

-C, --colorfg <color>
    Message foreground color (name or hex 0xRRGGBB).

--calendarURL <url>
    URL of calendar file.

--cancelEvent <eventID>
    Cancel alarm with the specified event ID.

-d, --disable
    Disable the alarm.

-e, --exec <commandline>
    Execute a shell command line.

--edit <eventID>
    Display the alarm edit dialog to edit the specified alarm.

-n, --edit-new
    Display the alarm edit dialog to edit a new alarm.

--edit-new-preset <templateName>
    Display the alarm edit dialog, preset with a template.

-f, --file <url>
    File to display.

-F, --from-id <ID>
    KMail identity to use as sender of email.

--handleEvent <eventID>
    Trigger or cancel alarm with the specified event ID.

-i, --interval <period>
    Interval between alarm repetitions.

-k, --korganizer
    Show alarm as an event in KOrganizer.

-l, --late-cancel <period>
    Cancel alarm if more than 'period' late when triggered.

-L, --login
    Repeat alarm at every login.

-m, --mail <address>
    Send an email to the given address (repeat as needed).

-p, --play <url>
    Audio file to play once.

-P, --play-repeat <url>
    Audio file to play repeatedly.

--recurrence <spec>
    Specify alarm recurrence using iCalendar syntax.

-R, --reminder <period>
    Display reminder in advance of alarm.

--reminder-once <period>
    Display reminder once, before first alarm recurrence.

-r, --repeat <count>
    Number of times to repeat alarm (including initial occasion).

--reset
    Reset the alarm scheduling daemon.

-s, --speak
    Speak the message when it is displayed.

--stop
    Stop the alarm scheduling daemon.

-S, --subject
    Email subject line.

-t, --time <time>
    Trigger alarm at time [[[yyyy-]mm-]dd-]hh:mm, or date yyyy-mm-dd.

--tray
    Display system tray icon.

--triggerEvent <eventID>
    Trigger alarm with the specified event ID.

-u, --until <time>
    Repeat until time [[[yyyy-]mm-]dd-]hh:mm, or date yyyy-mm-dd.

-V, --volume <percent>
    Volume to play audio file.

message
    Message text to display.

SEE ALSO
More detailed user documentation is available from help:/kalarm (either enter this URL into konqueror, or run `khelpcenter help:/kalarm').